package pnow

import (
	"gitlab.com/oiacow/goheroes/backend/core"
)

type reqStart struct {
	TXN        string          `fesl:"TXN"`
	Partition  statusPartition `fesl:"partition"`
	DebugLevel string          `fesl:"debugLevel"`
	Version    int             `fesl:"version"`
	Players    []reqStartPlayer
}

type reqStartPlayer struct {
	OwnerID    int                    `fesl:"ownerId"`
	OwnerType  int                    `fesl:"ownerId"`
	Properties map[string]interface{} `fesl:"props"`
}

type ansStart struct {
	Txn string          `fesl:"TXN"`
	ID  statusPartition `fesl:"id"`
}

// Start handles pnow.Start
func (pnow *PlayNow) Start(event core.EClientCmd) {
	pnow.answer(
		event.Client,
		event.Cmd.PayloadID,
		ansStart{
			Txn: pnowStart,
			ID:  statusPartition{1, event.Cmd.Msg["partition.partition"]},
		},
	)
}
